
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>软件工程之信息隐蔽与模块独立性 / iVAN</title>

    <meta name="description" content="软件工程之信息隐蔽与模块独立性               最近看软工视频,老师提出了一个问题:信息隐蔽与模块独立性的联系,一开始我也不知道什么是信息隐蔽,模块独立还是略知一二,于是查了一下,自己总结了一些这二者之间的关系,与大家share!          首先介绍一下信息隐蔽          信息隐蔽是开发整体程序结构时使用的法则,即将每个程序的成分隐蔽或封装在一个单一的设计模块中,定义每一个模块时尽可能少地显露其内部的处理.信息隐蔽原则对提高软件的可修改性.可测试性和可移植性都有重要的作用.            然">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">软件工程之信息隐蔽与模块独立性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>              最近看软工视频，老师提出了一个问题：信息隐蔽与模块独立性的联系，一开始我也不知道什么是信息隐蔽，模块独立还是略知一二，于是查了一下，自己总结了一些这二者之间的关系，与大家share!</p>
<p>         首先介绍一下信息隐蔽</p>
<p>         信息隐蔽是开发整体程序结构时使用的法则，即将每个程序的成分隐蔽或封装在一个单一的设计模块中，定义每一个模块时尽可能少地显露其内部的处理。信息隐蔽原则对提高软件的可修改性、可测试性和可移植性都有重要的作用。</p>
<p>           然后介绍一下模块独立</p>
<p>          模块独立是指每个模块完成一个相对独立的子功能，并且与其他模块之间的联系简单。衡量模块独立程度的度量标准有两个：耦合和内聚。</p>
<p>          耦合是指模块之间联系的紧密程度。耦合度越高则模块的独立性越差。按耦合度从低到高依次有7种耦合方式。       </p>
<p>           非直接耦合（独立运行）       </p>
<p>           数据耦合（用参数表传递简单数据）       </p>
<p>           标记耦合（传递数据结构或者一部分）       </p>
<p>           控制耦合（传递的信息包括控制模块的信息）       </p>
<p>          外部耦合（模块与软件之外的环境有关）       </p>
<p>          公共耦合（多个模块引用同一全局的数据区）       </p>
<p>          内容耦合（访问内部数据，代码重叠或者多个入口）</p>
<p> </p>
<p>           内聚是指模块内部各元素之间联系的紧密程度内聚度越低模块的独立性越差。按内聚度从低到高依次有7种内聚种类。       </p>
<p>           偶然内聚（模块完成的多个任务，任务之间的关系松散）       </p>
<p>           逻辑内聚（模块完成逻辑相关的一组任务）       </p>
<p>           瞬时内聚（模块的所有任务必须在同一时间间隔内执行）       </p>
<p>           过程内聚（模块的处理元素相关而且按照特定的次序执行）       </p>
<p>           通信内聚（模块的所有元素集中在一个数据结构区域上）       </p>
<p>           顺序内聚（模块的处理元素相关，必须顺序执行）       </p>
<p>           功能内聚（模块完成单一的功能，各个部分协调工作，而且不可缺少）</p>
<p> </p>
<p>          综上所述，信息隐蔽是为了减少信息外露，也是保持模块独立性的一种方式，模块设计要求“高内聚，低耦合”，尽可能使用数据耦合，避免使用公共耦合，尽量使用功能内聚，信息隐蔽可以使模块封装性提高，减少与其他模块之间的联系，见解很浅，希望各位给予意见。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 18:21:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>软件工程之信息隐蔽与模块独立性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4We1p.html" rel="bookmark">面向对象的css&colon;团队协作开发规范和按结构划分模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:面向对象的css有两个主要原则:separate the structure from the skin,separate the container from the content.第一个原则体现在模块化思想可以理解为,模块的设计制作和布局框架本身相分离,意味着你的模块不能只为某个布局而编写样式,像微博这类存在换肤功能的产 说起模块化,也许我们首先想到的是编程中的模块设计,以功能块为单位进行程序设计,最后通过模块的选择和组合构成最终产品.把这种思想运用到页面构建中,也已经不是什么新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVkl3b.html" rel="bookmark">框架节构设计（高内聚低耦合）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内聚是从功能角度来度量模块内的联系,一个好的内聚模块应当恰好做一件事.它描述的是模块内的功能联系: 耦合是软件结构中各模块之间相互连接的一种度量,耦合强弱取决于模块间接口的复杂程度.进入或访问一个模块的点以及通过接口的数据. 定义 高内聚低耦合,是软件工程中的概念,是判断设计好坏的标准,主要是面向对象的设计,主要是看类的内聚性是否高,耦合度是否低.  概念 内聚就是一个模块内各个元素彼此结合的紧密程度,高内聚就是一个模块内各个元素彼此结合的紧密程度高. 所谓高内聚是指一个软件模块是由相关性很强的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk22JdM.html" rel="bookmark">什么是javascript模块化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如今backbone.emberjs.spinejs.batmanjs 等MVC框架侵袭而来.CommonJS.AMD.NodeJS.RequireJS.SeaJS.curljs等模块化的JavaScript扑面而来.web前端已经演变成大前端,web前端的发展速度之快. 1)我们来看看什么是模块化? 模块化是一种将系统分离成独立功能部分的方法,可将系统分割成独立的功能部分,严格定义模块接口.模块间具有透明性.javascript中的模块在一些C.PHP.java中比较常见: unity3d脚本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AR6Wp.html" rel="bookmark">浅析android系统设计中的回调思想</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为何写作本文 在慢慢深入接触android开发的过程中,我越来越发现android中(至少应用曾的开发)用到了很多回调的思想.比如activity的生命周期,fragment的生命周期,皆是回调函数实现的,android中的事件处理机制其一就是回调,线程方面的异步任务.loader.hanlder等都是基于回调的,等等. 可见android的其一根本思想就是回调,需要你来参与时,回调用相关的回调方法,你来填充. 可以说回调的思想浸润与android设计的方方面面,android开发中几乎带有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M625JAM.html" rel="bookmark">浅谈对Linux系统内核源代码的分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux的最大的好处之一就是它的源码公开.同时,公开的核心源码也吸引着无数的电脑爱好者和程序员:他们把解读和分析Linux的核心源码作为自己的最大兴趣,把修改Linux源码和改造Linux系统作为自己对计算机技术追求的最大目标. Linux内核源码是很具吸引力的,特别是当你弄懂了一个分析了好久都没搞懂的问题:或者是被你修改过了的内核,顺利通过编译,一切运行正常的时候.那种成就感真是油然而生!而且,对内核的分析,除了出自对技术的狂热追求之外,这种令人生畏的劳动所带来的回报也是非常令人着迷的,这也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balrLXz.html" rel="bookmark">网站设计分析：模块化&mdash;&mdash;高效重构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说起模块化,也许我们首先想到的是编程中的模块设计,以功能块为单位进行程序设计,最后通过模块的选择和组合构成最终产品.把这种思想运用到页面构建中,也已经不是什么新鲜事.相信很大一部分页面构建工程师都经历了这样几个阶段:第一阶段是在一个css文件中把多个页面按自己的习惯顺序从上往下编写样式,基本不考虑有无公用样式,以完成设计呈现为首要目的;第二阶段是提取不同页面中的通用样式,如公用颜色.图标.按钮等,实现一些基本元素的复用;第三阶段是提取公用功能模块,如导航.版权信息等,实现部分公用模块的复用. 刚			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwNgQM.html" rel="bookmark">ZED Board从入门到精通（三）：从传统ARM开发到PS开发的转变</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ARM已经在国内流行得一塌糊涂,各类教程.开发板(S3C2440,6410)层出不穷,归结下来,传统ARM开发包括以下几个步骤: (1)硬件电路板设计(对于Zedboard,相当于设计逻辑电路,PL工程师负责): (2)基本模块裸机代码测试(UART,DDR2,其他外设): (3)移植操作系统(如Linux,uCLinux,uCOS等): (4)编写相应操作系统的驱动程序(可从(2)中移植过来): (5)编写应用程序(或移植已有的应用程序).界面设计(Qt): 一个有ARM开发经验的工程师,接触			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3Dd8z.html" rel="bookmark">构件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				构件是系统中实际存在的可更换部分,它实现特定的功能,符合一套接口标准并实现一组接口.构件代表系统中的一部分物理实施,包括软件代码(源代码.二进制代码或可执行代码)或其等价物(如脚本或命令文件).在图中,构件表示为一个带有标签的矩形. 目录 机械领域 软件工程中的构件 软件构件应具备以下属性 2.1.3 构件的特点 差别 计算机领域 概述 使用 实施操作 选择算法 实施状态 实施关联关系 实施属性 评估代码 其他定义 展开 机械领域 软件工程中的构件 软件构件应具备以下属性 2.1.3 构件的特点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgwdq6M.html" rel="bookmark">回归架构本真：从规划、思维到设计，构建坚不可摧的架构根基</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   关于什么是架构,业界从来没有一个统一的定义.Martin Fowler在&lt;企业应用架构模式&gt;中也没有对其给出定义,只是提到能够统一的内容有两点: 最高层次的系统分解: 系统中不易改变的决定.   &lt;软件架构设计&gt;一书则将架构定义总结为组成派和决策派: 组成派:架构=组件+交互:软件系统的架构将系统描述为计算组件及组件之间的交互. 决策派:架构=重要决策集:软件架构是在一些重要方面所作出的决策的集合.   而架构的概念最初来源于建筑,因此,我想从建筑的角度去思考这个问题.Wik			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQVrwM.html" rel="bookmark" class="title">产品细节的问题&colon;产品提供给用户的价值</a>
					<div>
						文章描述:互联网产品的点与面. 做产品,经常提到产品细节的问题. 有关于产品细节的问题,产品人都会一律纠结到产品的优化上.在微博上,我们经常会因为某个产品的某个细节而去大作文章,前阵子我曾在微博上发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnLABz.html" rel="bookmark" class="title">C&num;多线程学习&lpar;二&rpar;如何操纵一个线程</a>
					<div>
						下面我们就动手来创建一个线程,使用Thread类创建线程时,只需提供线程入口即可.(线程入口使程序知道该让这个线程干什么事) 在C#中,线程入口是通过ThreadStart代理(delegate)来提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyweeJz.html" rel="bookmark" class="title">电脑光驱的维修小技巧</a>
					<div>
						老.旧电脑光驱巧修巧用托盘易卡壳的急救措施 打开光驱外壳后,通电观察托盘的出仓原理:托盘出仓是由一个动力滚轮通过皮带,驱动另一个与托盘相连齿轮上的滚轮,带动托盘出仓的. 老光驱在一般情况下托盘不出仓的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJZ4np.html" rel="bookmark" class="title">Visio2007形状导入数据怎么添加</a>
					<div>
						Visio2007形状导入数据怎么添加   Visio2007 自动将多行数据链接到多个现有形状 对于包含多个形状的现有绘图,此方法最适用. 要点 这些Visio2007形状中必须包含可与数据源中的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7dV6b.html" rel="bookmark" class="title">刚接触APP设计的同学必读！APP的解构与重构</a>
					<div>
						大学美术史(选修)的第一堂课上,那老师开门见山的说:知道大家认真听课的不多,下节课能来多少也不知道,这里介绍一个自学阅读的办法,方便你们抱佛脚,在我看来大部分书籍讲的实质性内容都很少,这就需要拧干提纯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY42rM.html" rel="bookmark" class="title">如何获取Windows 8&period;1的独立安装镜像</a>
					<div>
						  1.首先从微软官网下载两个安装向导程序,分别是Windows 8.1和Windows 8. 分别下载两个安装向导程序 2.运行Windows 8安装向导程序; 3.根据向导一步一步执行,到输入序列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lJaob.html" rel="bookmark" class="title">node js-安装node&period;js的express框架，竟然出现那么多报错！</a>
					<div>
						问题描述 安装node.js的express框架,竟然出现那么多报错! 最近,我想用node.js编写一些小的功能,但是,安装node.js就出现了问题,我想安装express框架,结果出现了下图的状 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZZxKp.html" rel="bookmark" class="title">java--怎样让子类访问父类内部类的方法</a>
					<div>
						问题描述 java--怎样让子类访问父类内部类的方法 A.B两个类, A继承于B, B包含一个内部类C, 已经有A的实例,怎样才能访问C的方法(不再实例C) 解决方案 父类内部类声明为public,方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK4Gab.html" rel="bookmark" class="title">Dedecms数据库结构表名：dede&lowbar;moneycard&lowbar;record</a>
					<div>
						Dedecms数据库结构表名:dede_moneycard_record字段说明如下: 表名:dede_moneycard_record (ENGINE=MyISAM/CHARSET=gbk) 说明: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEN96M.html" rel="bookmark" class="title">春运大幕开启，&OpenCurlyDoubleQuote;春运神器&rdquo;走红网络</a>
					<div>
						一年一度的春运即将到来,春运话题逐渐升温.怎样才能安然度过如此庞大但不得不参与的&quot;人类大迁徙&quot;?各种春运&quot;神器&quot;网上悄然走红,带来无限创业商机,下面小编为你采摘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXGRjz.html" rel="bookmark" class="title">盗窃qq号-盗号什么盗，能交一下吗，会盗号的联系我扣扣2745904429谢谢</a>
					<div>
						问题描述 盗号什么盗,能交一下吗,会盗号的联系我扣扣2745904429谢谢 解决方案 估计过不了多少你的号就会被盗 解决方案二: 要啥自行车 解决方案三: 首先 学好c++ javaScript 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyE14z.html" rel="bookmark" class="title">cocos2dx3&period;3开发FlappyBird总结十五：记录玩家得分</a>
					<div>
						在游戏结束时,需要更新和获取最新得分. 设计一个工具类,只有类方法,这样外部就能很方便地获取和更新值. /** * This is a help class, using to operate the ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJYgqp.html" rel="bookmark" class="title">《深入解析IPv6（第3版）》&mdash;&mdash;第1章 IPv6入门1&period;1　IPv4的局限</a>
					<div>
						第1章 IPv6入门 在完成本章的学习之后,读者应该能够完成以下任务: 描述IPv4(因特网协议第4版)及当前Internet的缺陷,并及描述IPv6是如何改善上述缺陷的: 描述IPv4地址短缺的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo8vAM.html" rel="bookmark" class="title">警方微博粉丝戒毒所送图书</a>
					<div>
						警方微博粉丝戒毒所送图书 网友们在顺义区强制戒毒所内,向强制戒毒人员赠送书籍并交流.昨日上午,北京警方微博---&quot;平安北京&quot;的20名粉丝,来到北京市公安局强制治疗管理处戒毒中心.网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Eeqz.html" rel="bookmark" class="title">如何批量更新GridView多页的记录</a>
					<div>
						问题描述 我对GridView进行查询后的结果是多页的,每页有9行记录,我想一次性对这多页的结果的每一条记录都进行更新,在网上查了一下几乎都是说用&quot;intcount=Check.Rows.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44a7Pz.html" rel="bookmark" class="title">js创建子窗口并且回传值示例代码&lowbar;javascript技巧</a>
					<div>
						Copy 直接可以使用哦 亲们! 复制代码 代码如下: //父窗口 function onClick(){ var k = showModalDialog( &quot;view/WriteKey.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0rWOz.html" rel="bookmark" class="title">程序运行过程中死机的解决方法？</a>
					<div>
						问题描述 我编写了一个数据交换席位(类似于聊天室的服务器)程序,与1-2个用户进行数据交换时没有问题,但是超过2个用户同时进行数据交换,程序必定马上死机,我想请问应该怎么解决?我用的是TCP协议,网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NJxAz.html" rel="bookmark" class="title">数据库查询语句  查询 a表中 type&equals;2   所对应的 b表的记录</a>
					<div>
						问题描述 table a:id name type1 1tom 12 2tom 23 3tom 24 4tom 1table b:id a_id(FK 对应a表的id) 1 1 2 1 3 2 4 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boql86p.html" rel="bookmark" class="title">易宝支付余晨：硅谷的人文精神和思维模式</a>
					<div>
						硅谷,一座科技圈的麦加.朝圣,不知是多少人心中的向往. 上周的产品家沙龙,腾讯请来了http://www.aliyun.com/zixun/aggregation/37609.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YRZ8b.html" rel="bookmark" class="title">Windows 8&period;1 应用再出发 - 几种更新的控件</a>
					<div>
						原文:Windows 8.1 应用再出发 - 几种更新的控件 Windows 8.1 除了新增了很多很有用的控件外,还对一些控件做出了更新.接下来我们一起对这些更新的控件一一做出讲解. 1. Flip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y53Lb.html" rel="bookmark" class="title">为什么网站seo优化要持续进行不能暂停？</a>
					<div>
						网站通过seo优化获得更好的排名后,让网站更多的展示在用户面前,从而产生咨询和转化.但是也会经常发现很多网站在达到预期的优化效果后就会暂停对网站的优化,在网站获得一定的排名后,我们就能放任不管了?显然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1OyeM.html" rel="bookmark" class="title">物理地址和虚拟地址的区别</a>
					<div>
						(一)地址的概念 1)物理地址:CPU地址总线传来的地址,由硬件电路控制其具体含义.物理地址中 很大一部分是留给内存条中的内存的,但也常被映射到其他存储器上 (如显存. BIOS等).在程序指令中的虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm89Bp.html" rel="bookmark" class="title">AutoCAD File Merger</a>
					<div>
						AutoCAD File Merger eryar@163.com Abstract. There are many drawing files during the ship design or o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvqamb.html" rel="bookmark" class="title">程序员的假期总结&mdash;&mdash;竹子（一）</a>
					<div>
						                                      时维八月,已入初秋:气初爽,心又动.四旬所习,本非一言可概,楚人不才愿试之.为学者愿为竹,春笋钻墙破,垂阴覆玉堂,常将劲节负 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaN9ob.html" rel="bookmark" class="title">中国网民与&OpenCurlyDoubleQuote;中国式悲哀&rdquo;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 奇虎360从来不缺少炒作,无论是多方抨击还是自行吹嘘,自从有了360,中国互联网就热闹起来了,以至于现今的互联网如果没有它就会特别的安静.事实上,360 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLD10p.html" rel="bookmark" class="title">系统发布的问题</a>
					<div>
						问题描述 在服务器上的新建了一个网站,设置了主机头为www.foreverabc.com,然后在ie上浏览这个地址, 怎么不能访问呢? 解决方案 解决方案二:你把网站发布上去就好了解决方案三:服务器有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z43GGNp.html" rel="bookmark" class="title">李开复：无人驾驶必须一步到位，没有所谓的人机协同</a>
					<div>
						本文来自&quot;创新工场&quot;(ID:chuangxin2009),内容来自李开复在&quot;未来论坛&quot;颁奖典礼暨年会上的演讲.原标题&lt;人类是智慧交通的最大阻碍&gt; 以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3PXDb.html" rel="bookmark" class="title">关于怎么将PSD图转成html网页</a>
					<div>
						问题描述 在photoshop里有一个切片功能,然后可以把图切好直接存成网页格式. 不过那样存好之后有很多问题,比如,切好的图整个就是一个大的table, 里面全是单元格,如果一不小心哪个单元格加的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlW7ynb.html" rel="bookmark" class="title">想从事数据库工程师方面的工作，求各位推荐SQL ORACLE学习教程</a>
					<div>
						问题描述 想从事数据库工程师方面的工作,求各位推荐SQLORACLE学习教程感激不尽 解决方案 解决方案二:那这个帖子应该发在sqlserver板块或是oracle板块呀...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXv3VM.html" rel="bookmark" class="title">联发科发布八核处理器MT6592</a>
					<div>
						摘要: 联发科今天在深圳正式发布了八核处理器MT6592.联发科总经理谢清江表示,联发科2012年智能 手机 芯片出货量约1.1亿颗,今年预计出货超过2亿颗,更多合作伙伴将加大采用联发科芯片的 联发科 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
